Favicon

You are here: Home > API Reference > Apple > Admenrollmenttemplates > Delete enrollment template

Delete enrollment template

Required Permission: mdm.apple.enrollmentTemplate.remove

Permanently removes the enrollment template and disassociates it from any assigned users or groups.

DELETE
/v1/organizations/:organizationId/mdm/apple/enterprise/enrollment-templates/:admEnrollmentTemplateId
Copy to clipboard

Delete enrollment template

Required Permission: mdm.apple.enrollmentTemplate.remove

Permanently removes the enrollment template and disassociates it from any assigned users or groups.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admEnrollmentTemplateId string
required
Unique identifier for Apple enrollment template configuration within organizational MDM deployment.
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
delete string optional
OK
{
    "status": true,
    "data": {
        "delete": "OK"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5050
message string optional
Feature not allowed for you billing plan
{
    "status": false,
    "error": {
        "code": 5050,
        "message": "Feature not allowed for you billing plan"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}